Skip to main content

List payout transactions

List payout transaction resources.


Endpoint​

GET /payouts/:id/transactions

Sample code​

const client = require('payrex-node')('insert your PayRex Secret API key.');

// Return 10 records
const payoutTransactions = await client.payouts.listTransactions(
'<id of the payout resource>',
{
limit: 10,
}
);

Query Parameters​

id REQUIRED

This is the ID of the Payout resource.

Parameters​

limit optional

Limits the number of resources returned by the endpoint. The minimum amount is 1, and the maximum is 100.


before optional

A cursor used in pagination. before is a resource ID that defines your place in the list. For example, if you call a list request and receive 10 resources, starting with po_txn_1234, your subsequent calls can include before=po_txn_1234 to fetch the list's previous page.


after optional

A cursor used in pagination. after is a resource ID that defines your place in the list. For example, if you call a list request and receive 10 resources ending with po_txn_1234, your subsequent calls can include after=po_txn_1234 to fetch the next page of the list.

Returns​

Returns a paginated list of Payout Transaction resources.